package pl.sloudpl.sloudchat.cmds;

import net.md_5.bungee.api.ChatColor;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import pl.sloudpl.sloudchat.SloudChat;
import pl.sloudpl.sloudchat.utils.ColorUtils;

public class Chat1_16 implements CommandExecutor {

    SloudChat plugin;

    public Chat1_16(SloudChat plugin){
        this.plugin = plugin;
        plugin.getCommand("chat").setExecutor(this);
    }

    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {

        if(sender instanceof Player){
            Player p = (Player) sender;
            if (sender.hasPermission("sloudpl.chat") || sender.isOp()) {
                if (args.length == 1) {
                    if (args[0].equalsIgnoreCase("clear")) {
                        for (int i = 0; i < 100; i++) {
                            Bukkit.getServer().broadcastMessage(" ");
                        }
                        Bukkit.getServer().broadcastMessage(ColorUtils.convertHexColors(ChatColor.translateAlternateColorCodes('&', plugin.getConfig().getString("clear-line1"))));
                        Bukkit.getServer().broadcastMessage(ColorUtils.convertHexColors(ChatColor.translateAlternateColorCodes('&', plugin.getConfig().getString("clear-line2").replace("[Player]", p.getName()).replace("[PlayerDisplayName]", p.getDisplayName()))));
                        Bukkit.getServer().broadcastMessage(ColorUtils.convertHexColors(ChatColor.translateAlternateColorCodes('&', plugin.getConfig().getString("clear-line3"))));
                    } else if(args[0].equalsIgnoreCase("on")) {

                        Bukkit.getServer().broadcastMessage(ColorUtils.convertHexColors(ChatColor.translateAlternateColorCodes('&', plugin.getConfig().getString("chat-enable-message"))));
                        plugin.isChatEnabled = true;

                    } else if(args[0].equalsIgnoreCase("off")) {

                        Bukkit.getServer().broadcastMessage(ColorUtils.convertHexColors(ChatColor.translateAlternateColorCodes('&', plugin.getConfig().getString("chat-disable-message"))));
                        plugin.isChatEnabled = false;

                    } else {
                        sender.sendMessage(ChatColor.RED + "Usage: /chat [clear/on/off]");
                    }
                } else {
                    sender.sendMessage(ChatColor.RED + "Usage: /chat [clear/on/off]");
                }
            } else {
                sender.sendMessage(ColorUtils.convertHexColors(ChatColor.translateAlternateColorCodes('&', plugin.nopermission)));
            }

        } else {
            sender.sendMessage(ChatColor.RED + "You need to be a player to use this command!");
        }

        return false;
    }

}
